import { deleteInvoiceInfo, getInvoiceInfoList } from "../../service/invoice";
import { alertInfo, alertSuccess, wxModal } from "../../utils/index";
import request from '../../utils/request'
const { OK } = request
// pages/invoiceList/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: [],
    show: false,
    actions: [
      { name: '查看', },
      { name: '编辑', },
      { name: '删除', },
    ],
    selectData: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.init();
  },
  async init() {
    const { data, code, message } = await getInvoiceInfoList()
    this.setData({ list: data })
  },
  operate(e) {
    const { data } = e.currentTarget.dataset;
    this.setData({
      show: true,
      selectData: data
    })
  },
  onClose() {
    this.setData({ show: false, selectData: {} });
  },
  onSelect(e) {
    const type = e.detail.name;
    switch(type) {
      case "编辑":
        break;
      case "查看":
        wx.navigateTo({
          url: '/pages/invoiceDetail/index?id=' + this.data.selectData.id,
        })
        break;
      case "删除":
        this.handleDelete();
        break;
    }
  },
  async handleDelete() {
    const { id } = this.data.selectData;
    await wxModal({ content: "确定要删除当前记录吗？" })
    const { code, message } = await deleteInvoiceInfo(id)
    if (code !== OK) {
      alertInfo(message)
      return;
    }
    alertSuccess("删除成功")
    this.init();
  },
  handleCreate() {
    wx.navigateTo({
      url: '/pages/editInvoice/index?id=-1',
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})